Bug 237164

Summary: REGRESSION(r290358): [ Debug EWS ] ASSERTION FAILED: sample && sample->pixelBuffer()
Product: WebKit Reporter: Dawn Morningstar <Morningstar>
Component: New BugsAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: jenner, webkit-bot-watchers-bugzilla, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=237025
https://bugs.webkit.org/show_bug.cgi?id=237295
Attachments:
Description Flags
expectations
none
expectations
none
Patch none

Comment 1 Radar WebKit Bug Importer 2022-02-24 15:35:49 PST
<rdar://problem/89442999>
Comment 2 Dawn Morningstar 2022-02-24 15:38:47 PST
Setting expectations until further investigation can be completed. 
Crash replicated at Monterey Debug TOT and at Monterey Debug r290358.
Comment 3 Ryan Haddad 2022-02-24 15:48:47 PST
ASSERTION FAILED: sample && sample->pixelBuffer()
/Volumes/Data/worker/monterey-debug/build/Source/WebKit/WebProcess/GPU/webrtc/SharedVideoFrame.cpp(179) : auto WebKit::SharedVideoFrameReader::read(WebKit::SharedVideoFrame &&)::(anonymous class)::operator()(WebKit::RemoteVideoFrameReadReference &&) const

This assert was added with https://trac.webkit.org/changeset/290358/webkit
Comment 4 Dawn Morningstar 2022-02-24 15:56:15 PST
Created attachment 453146 [details]
expectations
Comment 5 Dawn Morningstar 2022-02-24 16:00:48 PST
Assertion also appears to affect 
webrtc/vp8-then-h264-gpu-process-crash.html
Comment 6 Dawn Morningstar 2022-02-24 16:24:52 PST
Created attachment 453152 [details]
expectations
Comment 7 Robert Jenner 2022-02-24 16:28:36 PST
Comment on attachment 453152 [details]
expectations

Clearing flags on attachment: 453152

Committed r290475 (247773@trunk): <https://commits.webkit.org/247773@trunk>
Comment 8 youenn fablet 2022-02-25 10:01:58 PST
Created attachment 453226 [details]
Patch
Comment 9 EWS 2022-02-26 02:05:32 PST
Committed r290546 (247824@main): <https://commits.webkit.org/247824@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 453226 [details].